Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class MessageInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.AbstractMessageContainer
              org.apache.cxf.service.model.MessageInfo

All Implemented Interfaces:
  Extensible, NamedItem

    public class MessageInfo

extends AbstractMessageContainer

A message for an operation.

Nested Class Summary
`static class` | `MessageInfo.Type`

Field Summary

Fields inherited from class org.apache.cxf.service.model.AbstractMessageContainer
`mName`

Constructor Summary
`MessageInfo(OperationInfo op, MessageInfo.Type type, javax.xml.namespace.QName nm)`

Method Summary
`java.util.Map<javax.xml.namespace.QName,MessagePartInfo>` | `getMessagePartsMap()`
`java.util.List<MessagePartInfo>` | `getOrderedParts(java.util.List<java.lang.String> order)`
`MessageInfo.Type` | `getType()`
`void` | `setName(javax.xml.namespace.QName qn)`
`void` | `setType(MessageInfo.Type type)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cxf.service.model.AbstractMessageContainer
`addMessagePart, addMessagePart, addMessagePart, addOutOfBandMessagePart, getMessagePart, getMessagePart, getMessagePartByIndex, getMessagePartIndex, getMessagePartQName, getMessageParts, getName, getOperation, getOutOfBandParts, removeMessagePart, size`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, containsExtensor, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperty, getProperty, getTraversedExtensor, hasProperty, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageInfo

    public MessageInfo(OperationInfo op,
                       MessageInfo.Type type,
                       javax.xml.namespace.QName nm)

Method Detail

### setName

    public void setName(javax.xml.namespace.QName qn)

### getMessagePartsMap

    public java.util.Map<javax.xml.namespace.QName,MessagePartInfo> getMessagePartsMap()

### getOrderedParts

    public java.util.List<MessagePartInfo> getOrderedParts(java.util.List<java.lang.String> order)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public MessageInfo.Type getType()

### setType

    public void setType(MessageInfo.Type type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF